Package org.apache.qpid.proton.amqp.messaging

# Class DeleteOnClose

java.lang.Object
org.apache.qpid.proton.amqp.messaging.DeleteOnClose

All Implemented Interfaces:
  `LifetimePolicy`

public final class DeleteOnClose extends Object implements LifetimePolicy

## Method Summary

Modifier and Type
Method
Description
`static DeleteOnClose`
`getInstance()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getInstance

public static DeleteOnClose getInstance()